## ubuntu-core-upgrader 0.1

=== Makefile ===
#!/usr/bin/make

PREFIX=$(DESTDIR)/usr

test:
	sh -n bin/ubuntu-core-prepare-upgrade.sh
	for cmd in pep8 pyflakes; do \
		$$cmd bin/ubuntu-core-apply.py; \
	done

install:
	install -d $(PREFIX)/bin
	for file in bin/*; do \
		to=$$(echo $$file | cut -d. -f1); \
		install -m755 -o root -g root \
		$$file $(PREFIX)/$$to; \
	done

.PHONY: test install check
check: test
