=== debian/changelog ===
ubuntu-core-upgrader (0.1) utopic; urgency=medium

  * Initial release (LP: #1380674).

 -- James Hunt <james.hunt@ubuntu.com>  Wed, 15 Oct 2014 09:05:18 +0100
