## ubuntu-core-upgrader 0.5

=== debian/changelog ===
ubuntu-core-upgrader (0.5) vivid; urgency=low

  * do not fail hard on umount --lazy error
  * support output of systemctrl status for both systemd 209 and 215

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 18 Nov 2014 13:37:17 +0100

ubuntu-core-upgrader (0.4) vivid; urgency=medium

  * bin/ubuntu-core-upgrade:
    - Internal restructure to make testing easier.
    - Added '--root-dir' and '--clean-only' options.
  * man/ubuntu-core-upgrade.1: Added '--root-dir' and '--clean-only'.
  * ubuntucoreupgrader/parser.py:
    - get_userdata_mounts(): Reverse sort to handle child mounts first.
    - get_affected_pids(): Discard stderr to ignore harmless warnings
      which disrupt parsing.
    - Honour '--tmpdir' now.
    - Handle '--root-dir'.
    - Made output more consistent.

 -- James Hunt <james.hunt@ubuntu.com>  Mon, 17 Nov 2014 09:08:49 +0000

ubuntu-core-upgrader (0.3) vivid; urgency=medium

  * Added '--no-reboot' and '--reboot-delay' options.
  * ubuntucoreupgrader/parser.py:
    - tar_generator():
      - Reworked to make logic clearer.
      - Only ignore devices if they already exist.
    - _update():
      - Strip expected file prefix rather than just blindly removing first
        element.
      - Ignore relative paths.

 -- James Hunt <james.hunt@ubuntu.com>  Mon, 03 Nov 2014 14:03:29 +0000

ubuntu-core-upgrader (0.2) vivid; urgency=medium

  * Handle busy inodes by restarting services where possible and
    triggering a reboot as a last resort.
  * debian/control:
    - Added Depends: on lsof and e2fsprogs (for mklost+found).
  * README.rst: Outline of design and upgrade process.
  * Add --dry-run option.
  * Removed man pages for now non-existent commands.
  * man/ubuntu-core-upgrade.1: New man page.
  * bin/ubuntu-core-upgrade:
    - Added --check-reboot option.
    - Added uid check for privileged operations.
  * ubuntucoreupgrader/parser.py:
    - get_affected_pids():
      - Don't restrict the check to the rootfs only
        since the upgrader can apply files to writable areas in some
        circumstances.
      - Improve checks on open files for consideration.
    - Parser(): Added REBOOT_OPEN_FILE reason.
  * Use python logging module.
  * Log details to stderr and syslog for destructive upgrade.

 -- James Hunt <james.hunt@ubuntu.com>  Mon, 27 Oct 2014 16:03:42 +0000
