=== debian/rules ===
#!/usr/bin/make -f

PYTHON=python3

%:
	dh $@ --with python3 

override_dh_auto_test:
	python3 setup.py flake8

override_dh_auto_build:
	$(PYTHON) setup.py build

override_dh_auto_install:
	$(PYTHON) setup.py install \
                --root=$(CURDIR)/debian/ubuntu-core-upgrader \
                --install-layout=deb

override_dh_auto_clean:
	$(PYTHON) setup.py clean -a
