## ubuntu-core-upgrader 0.7

=== debian/changelog ===
ubuntu-core-upgrader (0.7) vivid; urgency=medium

  * Move this from the ppa to the main archive.
  * Add Vcs-Bzr.

  [ James Hunt ]
  * ubuntucoreupgrader/upgrader.py:
    - tar_generator(): Permit unpack of assets/ directory to allow snappy to
      install them (and clean up).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 20 Feb 2015 17:00:34 -0800

ubuntu-core-upgrader (0.6~ppa24) vivid; urgency=low

  * support new "config.machine_readable" option

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 20 Feb 2015 10:00:25 +0100

ubuntu-core-upgrader (0.6~ppa23) vivid; urgency=low

  * fix ApplyUpgrades.UPGRADER type

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 17 Feb 2015 16:16:47 +0100

ubuntu-core-upgrader (0.6~ppa22) vivid; urgency=low

  * add missing ubuntucoreupgrader/__init__.py
  * add build-depends on system-image-dbus for the tests

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 17 Feb 2015 15:45:09 +0100

ubuntu-core-upgrader (0.6~ppa21) vivid; urgency=low

  * pep8

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 17 Feb 2015 14:49:54 +0100

ubuntu-core-upgrader (0.6~ppa20) vivid; urgency=low

  * ubuntucoreupgrader/apply.py, ubuntucoreupgrader/tests/test_apply.py:
    - raise ApplyUpgradeError exception if the upgrader fails to apply
      to apply the upgrade and add test

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 17 Feb 2015 14:42:21 +0100

ubuntu-core-upgrader (0.6~ppa19) vivid; urgency=medium

  * ubuntucoreupgrader/upgrader.py:
    - fsck(): exit on failure rather than relying on the caller to be
      consistent with other critical operations.
    - __init__(): Add mountpoint stat that used to be called by
      mount_rootfs().
    - prepare(): Do not make mount private for dual partition systems: it
      isn't necessary and results in EBUSY when trying to fsck "other".
    - _cmd_mount(), _cmd_unmount(): Toggle "other" mount options rather
      than mounting and unmounting since other is now permanantly mounted
      read-only by default.
    - show_other_partition(): Remove now-redundant mount calls.

 -- James Hunt <james.hunt@ubuntu.com>  Thu, 29 Jan 2015 17:49:21 +0000

ubuntu-core-upgrader (0.6~ppa18) vivid; urgency=medium

  [ James Hunt ]
  * Preliminary A/B partition support.
  * Use /writable rather than /userdata, and new FS labels.
  * fsck fixes.
  * Don't automatically reboot after an A/B update.
  * Update apply.py to use /writable.
  * Removed all in-place debug.
  * Sync current rootfs to other if the latter is empty.
  * Fix initialisation error.
  * Rename parser to upgrader.
  * Ignore broken sym-links when checking for required in-place upgrade
    reboot.

  [ Michael Vogt ]
  * send pulse progress over dbus while applying the update
  * remove target file before unpacking to workaround python tarfile
    bug #23228

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 13 Jan 2015 10:13:24 +0100
