=== debian/control ===
Source: ubuntu-core-upgrader
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9), python3, python3-flake8, python3-setuptools, system-image-dbus
Standards-Version: 3.9.5
Vcs-Bzr: lp:ubuntu/ubuntu-core-upgrader

Package: ubuntu-core-upgrader
Architecture: all
Depends: ${misc:Depends}, python3, e2fsprogs (>= 1.42.10), lsof, systemd, initramfs-tools-ubuntu-core (>= 0.7.2~ppa15)
Description: Tools to apply a new system image to a running Ubuntu Core system
 Provides tools to install a previously downloaded Ubuntu Core system image
 on a running system.
 .
 This package should be installed on Ubuntu Core systems.
