## ubuntu-core-upgrader 0.7.1

=== debian/changelog ===
ubuntu-core-upgrader (0.7.1) vivid; urgency=low

  * improve logging if ubuntu-core-upgrader fails and provide
    stdout/stderr in the exception

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 24 Feb 2015 08:58:52 +0100
