## ubuntu-core-upgrader 0.7.2

=== debian/changelog ===
ubuntu-core-upgrader (0.7.2) vivid; urgency=low

  * pep8 fix

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 25 Feb 2015 13:53:30 +0100
