## ubuntu-core-upgrader 0.7.3

=== debian/changelog ===
ubuntu-core-upgrader (0.7.3) vivid; urgency=low

  * fix config.machine_readable to be real json

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 25 Feb 2015 20:18:42 +0100
