## ubuntu-core-upgrader 0.7.7

=== debian/changelog ===
ubuntu-core-upgrader (0.7.7) vivid; urgency=low

  * fix entry point for s-i 3.0

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 13 Mar 2015 09:03:35 +0100

ubuntu-core-upgrader (0.7.6) vivid; urgency=low

  [ James Hunt] 
  * ubuntucoreupgrader/upgrader.py:
    - get_file_contents(): Fix to avoid leaking the fd.
  * functional/test_upgrader.py: Basic set of functional tests.

  [ Michael Vogt ]
  * cleanup and removal of unused code

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 10 Mar 2015 14:13:10 +0100

ubuntu-core-upgrader (0.7.5) vivid; urgency=low

  [ Michael Vogt ]
  * ubuntucoreupgrader/apply.py:
    - fix missing timeout in select() call
    - write spinner progress unbuffered
    - remove dbus progress

  [ James Hunt ]
  * ubuntucoreupgrader/tests/test_upgrader.py:
    - More tar_generator() tests.
    - Added first Upgrader() object test.
  * ubuntucoreupgrader/upgrader.py:
    - parse_args():
      - Moved from bin/ubuntu-core-upgrade to simplify testing.
      - Now takes an args parameter.
    - tar_generator():
       - Simplified logic to determine if an unpack should occur.
       - Fix to allow '--root-dir' to work again.
       - Fix bug where path not set (only affecting tests).
    - Upgrader:__init__():
      - Assert root_dir option set.
      - Moved some logic to prepare() and restart_associated_services() to
        simplify testing.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 04 Mar 2015 12:33:49 +0100

ubuntu-core-upgrader (0.7.4) vivid; urgency=low

  * ubuntucoreupgrader/tests/test_upgrader.py:
    - add regression test for unpacking of assets/
  * ubuntucoreupgrader/upgrader.py:
    - unpack "assets/" and "hardware.yaml" to ensure that snappy
      can install new kernels/initrd/dtb files

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 03 Mar 2015 15:34:37 +0100
