## ubuntu-core-upgrader 0.7.8

=== debian/changelog ===
ubuntu-core-upgrader (0.7.8) vivid; urgency=medium

  * Implement s-i format command to handle full-image (non-delta) updates
    correctly.
  * ubuntucoreupgrader/upgrader.py: Tolerate an invalid 'removed' file
    to avoid the upgrade failing attempting to remove '/writable/cache'
    (see LP: #1437225).
  * functional/test_upgrader.py: Add tests for an invalid removed file.

 -- James Hunt <james.hunt@ubuntu.com>  Tue, 07 Apr 2015 14:29:29 +0100
