## ubuntu-core-upgrader 0.7.9

=== debian/changelog ===
ubuntu-core-upgrader (0.7.9) vivid; urgency=medium

  * mkfs(): Fixed mkfs command line (missing comma). 

 -- James Hunt <james.hunt@ubuntu.com>  Fri, 10 Apr 2015 15:04:33 +0100
