## ubuntu-core-upgrader 0.7.10

=== debian/changelog ===
ubuntu-core-upgrader (0.7.10) vivid; urgency=medium

  * ubuntucoreupgrader/upgrader.py: _cmd_mount(): Don't sync partitions
    for a full (non-delta) update (LP: #1444500).
  * ubuntucoreupgrader/tests/test_upgrader.py:
    - touch_file(): Fix to make file of size 0, not 1.
    - test_marker_file(): Removed.
    - test_other_considered_empty(): New test.
  * ubuntucoreupgrader/tests/utils.py:
    - append_file(): Create zero-length file if contents are None.
  * ubuntucoreupgrader/upgrader.py:
    - Replaced marker file logic by tighter scoped strategy where the s-i
      config file is pre-created with zero size prior to performing an s-i
      update operation. This strategy allows a failed update to be identified
      from either a missing s-i config file, or a zero-length one.

 -- James Hunt <james.hunt@ubuntu.com>  Mon, 13 Apr 2015 20:28:33 +0100
