## ubuntu-core-upgrader 0.7.11

=== debian/changelog ===
ubuntu-core-upgrader (0.7.11) wily; urgency=medium

  * ubuntucoreupgrader/upgrader.py: Call os.sync() at end of sync_partitions()
    and after each unpack to minimise unflushed data and thus minimise the
    risk of corruption issues (such as LP: #1435774).

 -- James Hunt <james.hunt@ubuntu.com>  Wed, 22 Apr 2015 10:36:19 +0100
