## ubuntu-core-upgrader 0.7.12

=== debian/changelog ===
ubuntu-core-upgrader (0.7.12) wily; urgency=low

  * ubuntucoreupgrader/apply.py:
    - always send json progress on stdout to have progress for
      snapyp with s-i 3.0 that does not store the progress information
      in its global config

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 17 Jun 2015 15:44:49 +0200
