## ubuntu-core-upgrader 0.7.13

=== debian/changelog ===
ubuntu-core-upgrader (0.7.13) wily; urgency=low

  * fix pyflakes error

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 17 Jun 2015 16:56:32 +0200
