=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9), python3, python3-flake8, python3-setuptools, system-image-dbus
+Build-Depends: debhelper (>= 9), python3, python3-flake8, python3-setuptools, system-image-cli
 Standards-Version: 3.9.5
 Vcs-Bzr: lp:ubuntu/ubuntu-core-upgrader
