=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 override_dh_auto_test:
 	python3 setup.py flake8
+	python3 -m unittest discover -v
 
 override_dh_auto_build:
 	$(PYTHON) setup.py build
