## ubuntu-core-upgrader 0.7.14

=== debian/changelog ===
ubuntu-core-upgrader (0.7.14) artful; urgency=medium

  * Fix flake8 test failures.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 22 Jun 2017 20:17:14 -0500
